/* NetServiceBrowserDelegate */

#import <Cocoa/Cocoa.h>

@class MateriaController;

@interface NetServiceBrowserDelegate : NSObject
{
	IBOutlet NSMutableArray *services;
	BOOL searching;
	MateriaController *controller;
	IBOutlet NSTableView *players;
	IBOutlet NSArrayController *playersArrayController;
}

- (void)setController:(MateriaController *)c;
- (void)netServiceBrowserWillSearch:(NSNetServiceBrowser *)browser;
- (void)netServiceBrowserDidStopSearch:(NSNetServiceBrowser *)browser;
- (void)netServiceBrowser:(NSNetServiceBrowser *)browser
			didNotSearch:(NSDictionary *)errorDict;
- (void)netServiceBrowser:(NSNetServiceBrowser *)browser didFindService:(NSNetService *)aNetService moreComing:(BOOL)moreComing;
- (void)netServiceBrowser:(NSNetServiceBrowser *)browser didRemoveService:(NSNetService *)aNetService moreComing:(BOOL)moreComing;
- (void)handleError:(NSNumber *)error;
- (void)updateUI;

@end
