/* MateriaController */

#import <Cocoa/Cocoa.h>
#import <netinet/in.h>
#import <sys/socket.h>

@class NetServiceBrowserDelegate;

@interface MateriaController : NSObject
{
    IBOutlet NSButton *away;
    IBOutlet NSButton *connect;
    IBOutlet NSTextField *input;
    IBOutlet NSButton *online;
    IBOutlet NSProgressIndicator *progressIndicator;
    IBOutlet NSButton *send;
    IBOutlet id session;
    IBOutlet NSTextView *textView;
	 NSNetServiceBrowser *browser;
    NSNetService *serviceBeingResolved;
	 NetServiceBrowserDelegate *browserDelegate;
	 BOOL isOnline;
}

- (IBAction)away:(id)sender;
- (IBAction)connect:(id)sender;
- (IBAction)online:(id)sender;
- (IBAction)send:(id)sender;
- (void)displayMessage:(NSString*)message;
- (void)spinProgressIndicator:(id)sender;
- (void)stopProgressIndicator:(id)sender;

@end
