#import "MateriaController.h"
#import "NetServiceBrowserDelegate.h"

@implementation MateriaController

- (IBAction)away:(id)sender
{
}

- (IBAction)connect:(id)sender
{
}

- (IBAction)online:(id)sender
{
	if (isOnline)
	{
		[self displayMessage:@"You're already online.\n"];
	}
	else
	{
		browser = [[NSNetServiceBrowser alloc] init];
		browserDelegate = [[NetServiceBrowserDelegate alloc] init];
		[browser setDelegate:browserDelegate];
		[browserDelegate setController:self];
		[browser searchForServicesOfType:@"_game._tcp" inDomain:@""];
		isOnline = YES;
	}
}

- (IBAction)send:(id)sender
{
	NSString* message = [input stringValue];
	message = [session sendMessage:message];
	NSRange endRange;
	endRange.location = [[textView textStorage] length];
	endRange.length = 0;
	[textView replaceCharactersInRange:endRange withString:message];
	endRange.length = [message length];
	[textView scrollRangeToVisible:endRange];
	[textView insertNewline:self];
	[textView insertLineBreak:self];
	[input selectText:self];
}

- (void)displayMessage:(NSString*)message
{
	NSRange endRange;
	endRange.location = [[textView textStorage] length];
	endRange.length = 0;
	[textView replaceCharactersInRange:endRange withString:message];
	endRange.length = [message length];
	[textView scrollRangeToVisible:endRange];
	[textView insertNewline:self];
	[textView insertLineBreak:self];
}

- (void)spinProgressIndicator:(id)sender
{
	[progressIndicator startAnimation:self];
	[progressIndicator setHidden:NO];
}

- (void)stopProgressIndicator:(id)sender;
{
	[progressIndicator setHidden:YES];
	[progressIndicator stopAnimation:self];
}

@end
